<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ReputationFormulas](./bitburner.reputationformulas.md) &gt; [calculateFavorToRep](./bitburner.reputationformulas.calculatefavortorep.md)

## ReputationFormulas.calculateFavorToRep() method

Calculate the total required amount of faction reputation to reach a target favor.

**Signature:**

```typescript
calculateFavorToRep(favor: number): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

favor


</td><td>

number


</td><td>

target faction favor.


</td></tr>
</tbody></table>

**Returns:**

number

The calculated faction reputation required.

